package svc

import (
	"github.com/zeromicro/go-zero/zrpc"
	"jyBXBase/api/internal/config"
	"jyBXBase/rpc/bxbase"
)

type ServiceContext struct {
	Config config.Config
	Bxbase bxbase.Bxbase
}

func NewServiceContext(c config.Config) *ServiceContext {
	return &ServiceContext{
		Config: c,
		Bxbase: bxbase.NewBxbase(zrpc.MustNewClient(c.BxBase)),
	}
}
